<?php
/**
 * Set to true to enable the plugin by default
 */
DEFINE('PLUGIN_SPREEDWEBRTC_USER_DEFAULT_ENABLE', @%@zmeetings/plugin/enable@%@);

/**
 * Set to true to load the plugin on WebApp start up
 */
DEFINE('PLUGIN_SPREEDWEBRTC_AUTO_START', @%@zmeetings/plugin/auto_start@%@);

/**
 * The domain name including port and scheme where the spreed server is addressed by the browser. Use empty string if all on one server.
 */
DEFINE('PLUGIN_SPREEDWEBRTC_SPREED_DOMAIN', '@%@zmeetings/plugin/spreed_domain@%@');

/** Full path or URL to Spreed WebRTC. */
DEFINE('PLUGIN_SPREEDWEBRTC_SPREED_URL', '@%@zmeetings/plugin/spreed_url@%@');

/**
 * The domain name including port and scheme where this webapp instance is addressed by the browser. Use empty string when all on one server.
 */
DEFINE('PLUGIN_SPREEDWEBRTC_WEBAPP_DOMAIN', '@%@zmeetings/plugin/webapp_domain@%@');

/** Full path or URL to Spreed WebRTC. */
DEFINE('PLUGIN_SPREEDWEBRTC_WEBAPP_URL', '@%@zmeetings/plugin/webapp_url@%@');

/**
 * The secret used to authenticate a Zarafa user. Should be the same as the value
 * of the sharedsecret_secret option in the webmeetings.cfg file of the spreed server
 */
DEFINE('PLUGIN_SPREEDWEBRTC_WEBMEETINGS_SHARED_SECRET', '@%@zmeetings/sharedsecret_secret@%@');

/**
 * This is the TTL (time to live) in seconds after which the authentication
 * token will expire.
 */
DEFINE('PLUGIN_SPREEDWEBRTC_WEBMEETINGS_AUTHENTICATION_EXPIRES', @%@zmeetings/plugin/auth_expires@%@);

/**
 * Sets whether only authenticated users can use the spreed app. If set to true
 * only webapp users can access the spreed server
 */
DEFINE('PLUGIN_SPREEDWEBRTC_REQUIRE_AUTHENTICATION', @%@zmeetings/plugin/require_auth@%@);

/**
 * Set to true to have console logging on the spreed server
 */
DEFINE('PLUGIN_SPREEDWEBRTC_DEBUG', @%@zmeetings/plugin/debug@%@);

/**
 * The secret used to authenticate a Zarafa user against the zarafa-presence service. 
 * Should be the same as the value of the server_secret_key option in the presence.cfg file of zarafa-presence
 * 
 */
DEFINE('PLUGIN_SPREEDWEBRTC_PRESENCE_SHARED_SECRET', '@%@zmeetings/presence_secret@%@');

/**
 * This is the TTL (time to live) in seconds after which the presence authentication
 * token will expire.
 */
DEFINE('PLUGIN_SPREEDWEBRTC_PRESENCE_AUTHENTICATION_EXPIRES', @%@zmeetings/plugin/presence_auth_expires@%@);

/**
 * Set true to use the Zarafa TURN service (requires credetials provided by Zarafa)
 */
DEFINE('PLUGIN_SPREEDWEBRTC_TURN_USE_ZARAFA_SERVICE', @%@zmeetings/plugin/turn_use_zarafa_service@%@);

/**
 * This is the URL to the Zarafa TURN server authentication server
 */
DEFINE('PLUGIN_SPREEDWEBRTC_TURN_AUTHENTICATION_URL', '@%@zmeetings/plugin/turn_auth_url@%@');

/**
 * This is your username for the Zarafa TURN server authentication server
 * (provided by Zarafa)
 */
DEFINE('PLUGIN_SPREEDWEBRTC_TURN_AUTHENTICATION_USER', '@%@zmeetings/plugin/turn_auth_user@%@');

/**
 * This is your password for the Zarafa TURN server authentication server
 * (provided by Zarafa)
 */
DEFINE('PLUGIN_SPREEDWEBRTC_TURN_AUTHENTICATION_PASSWORD', '@%@zmeetings/plugin/turn_auth_password@%@');

/**
 * The secret used to generate Zarafa WebAuth tokens
 */
DEFINE('PLUGIN_SPREEDWEBRTC_WEBAUTH_CODE_TOKEN_SECRET', '@%@zmeetings/plugin/webauth_code_token_secret@%@');

/**
 * This is the TTL (time to live) in seconds after which the code
 * token will expire. This should be very short for one time usage
 */
DEFINE('PLUGIN_SPREEDWEBRTC_WEBAUTH_CODE_TOKEN_EXPIRES', @%@zmeetings/plugin/webauth_code_token_expires@%@);

/**
 * The secret used to generate Zarafa WebAuth tokens
 */
DEFINE('PLUGIN_SPREEDWEBRTC_WEBAUTH_ACCESS_TOKEN_SECRET', '@%@zmeetings/plugin/webauth_access_token_secret@%@');

/**
 * This is the TTL (time to live) in seconds after which the access
 * token will expire. This should be as long as the maximum meeting duration with invited guests
 */
DEFINE('PLUGIN_SPREEDWEBRTC_WEBAUTH_ACCESS_TOKEN_EXPIRES', @%@zmeetings/plugin/webauth_access_token_expires@%@);

/**
 * This is the authentication mechanism for access by external users
 * options are:
 * - simple
 */
DEFINE('PLUGIN_SPREEDWEBRTC_MEETINGS_AUTH_METHOD', 'simple');

?>